GET /receiving-domains/{domain_id}/rules
List a domain's forwarding rules
Key carrying mail:send AND job:read. Served only when inbound is open to the account (404 not_found otherwise).
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
domain_id | path | string · required | inbound domain identifier |
Responses
| Status | Description | Body |
|---|---|---|
200 | Rules | object |
404 | Not found | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X GET "$GALON_API_BASE/receiving-domains/<domain_id>/rules" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.receivingDomains.rules("<id>");Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.receiving_domains.rules("<id>")POST /receiving-domains/{domain_id}/rules
Create a forwarding rule
Key carrying mail:send AND job:read. Served only when inbound is open to the account (404 not_found otherwise).
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
domain_id | path | string · required | inbound domain identifier |
Request body
application/json
| Field | Type | Description |
|---|---|---|
address | string · required | |
forward_to | string · required | |
from | string |
Responses
| Status | Description | Body |
|---|---|---|
201 | Rule created | object |
404 | Not found | Error |
422 | Invalid body | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X POST "$GALON_API_BASE/receiving-domains/<domain_id>/rules" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"address": "string", "forward_to": "string"}'Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.receivingDomains.createRule("<id>", {"address": "string", "forward_to": "string"});Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.receiving_domains.create_rule("<id>", {"address": "string", "forward_to": "string"})